#!/usr/bin/perl
#
# This file is part of BG-Billing system.
# Any use outside BG-Billing infrastructure is forbidden.
# Copyright 2007 Bitel Ltd. (www.bitel.ru)
# All right reserved.
#

use IO::File;
use Fcntl qw(:flock);
use POSIX;
use Switch;
use File::Copy;

require "conf";

opendir(DIR, $sourcelog_path) || die "Can't opendir $some_dir: $!";
@files = grep { /\.ama$/ && -f "$sourcelog_path/$_" } readdir(DIR);
closedir DIR;

print "Converting ama in $sourcelog_path\n";

my @sort;
foreach my $file ( @files )
{
	if ( $file =~ /AMA\.(\d\d)(\d\d)(\d\d)\.ama/ )
	{
		my $logDD = $3;
		my $logMM = $2;
		my $logYY = "20".$1;

		push @sort, "20$1.$2.$3";
	}
}

@filesSort = @files[ sort { $sort[$a] cmp $sort[$b] } 0..$#files ];

my $done_path = $sourcelog_path."done/";

if ( !-e $done_path )
{
	mkdir $done_path;
}

foreach my $file ( @filesSort )
{
	if ( $file =~ /AMA\.(\d\d)(\d\d)(\d\d)\.ama/ )
	{
		my $logDD = $3;
		my $logMM = $2;
		my $logYY = "20".$1;
		
		print "$file - $logDD.$logMM.$logYY:\n";
		print `$base_path/ama.pl $file`;
		move($sourcelog_path.$file, "$done_path$file");
		
		for($h=0; $h<24; $h++) {
			$HH = $h<10? "0$h" : "$h";
			print "$loader -eload=$logYY-$logMM-$logDD-$HH-$sourceId\n";
			print `$loader -eload=$logYY-$logMM-$logDD-$HH-$sourceId`;
		}
		
	}
}

``